package com.bonus.material.notice.mapper;

import com.bonus.material.notice.entity.Notice;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2024/12/20 - 19:25
 */
public interface NoticeMapper {
    /**
     * 查询通知公告列表
     * @param notice
     * @return
     */
    List<Notice> selectNoticeList(Notice notice);

    int addNotice(Notice notice);

    List<Notice> noticeList(Notice notice);

    List<Notice> messageList(Notice notice);

    /**
     * 修改通知公告
     * @param notice
     * @return
     */
    int updateNotice(Notice notice);

    /**
     * 批量删除通知公告
     * @param noticeIds
     * @return
     */
    int deleteNoticeByIds(Long[] noticeIds);

    /**
     * 查询短信通知人员列表
     * @param notice
     * @return
     */
    List<Notice> getSmsList(Notice notice);

    /**
     * 根据userId查询角色id
     * @param userId
     * @return
     */
    List<Notice> selectRoleId(Long userId);
}
